<?php
	defined('BASEPATH') OR exit('No direct script access allowed');

	class Hc_distributor_logs extends My_Model{
		protected $_table_name = 'hc_distributor_logs';
		protected $_order_by = 'id';

		public function __construct(){
			parent::__construct();
		}


		public function get_new(){
			$distributor_logs = new stdClass();
			$distributor_logs->action_type = '';
			$distributor_logs->action_identifier = '';
			$distributor_logs->request = '';
			$distributor_logs->response = '';


			return $distributor_logs;
		}


		public $rules = array(

			'action_type' => array(
				'field' => 'action_type', 
				'label' => 'action type', 
				'rules' => 'trim|required|xss_clean'
			)
		);
	}
?>